Update Organization

Update an existing organization's details.

This method allows you to update an organization's information in Saner Server. It requires the name of the organization to be updated and all other details.

KeyMeaningMandatoryData Type
nameName of the organization to be updated.Yesstring
newnameNew organization name (use to update organization name itself).Nostring
emailUpdated organization email address.Nostring
numberofsubscriptionsUpdated number of subscriptions (expected integer).Nostring
enddateUpdated organization end (expiry) date in format yyyy-mm-dd.Nostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Organization.update(
    name="OrgName",
    newname="NewOrgName"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json